Font::TTF::LTSH(3)

NAME
Font::TTF::LTSH - Linear Threshold table

DESCRIPTION
Holds the linear threshold for each glyph. This is the ppem value at which a glyph's metrics become linear. The value is set to 1 if a glyph's metrics are always linear.

INSTANCE VARIABLES

glyphs
    An array of ppem values. One value per glyph

METHODS

  $t->read
Reads the table

  $t->out($fh)
Outputs the LTSH to the given fh.

  $t->minsize()
Returns the minimum size this table can be. If it is smaller than this, then the table must be bad and should be deleted or whatever.

BUGS
None known

AUTHOR
Martin Hosken <http://scripts.sil.org/FontUtils>.

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.